$(document).ready(function () {

    $(window).keydown(function (event) {
        if (event.altKey && event.keyCode == 80) {                       // ALT+P
            window.open('chal_print.php', '_blank');
            event.preventDefault();
            return false;
        }

        if (event.altKey && event.keyCode == 81) {                      // ALT+Q
            $("#exampleModalCenter").modal('show');
            event.preventDefault();
            return false;

        }


        if (event.altKey && event.keyCode == 68) {                       // ALT+D
            window.open('dia_print.php', '_blank');
            event.preventDefault();
            return false;
        }

        if (event.altKey && event.keyCode == 88) {                       // ALT+X
            location.reload();
            event.preventDefault();
            return false;
        }
    });


    $(document).keydown(function (event) {

        if (!(String.fromCharCode(event.which).toLowerCase() == 's' && event.altKey) && !(event.which == 19))
            return true;
        $("#submit").click();
        event.preventDefault();
        return false;

//            $("#submit").click();String.fromCharCode(event.which).toLowerCase() == 's'
    });

//
//
//    $('.srchparty').on('keydown', function (e) {
//        var keyCode = e.keyCode || e.which;
//        if (keyCode == 13) {
//            $("#getpartydata tbody tr:visible:first").find(".disblsrchparty").focus();
//            e.preventDefault();
//            return false;
//        }
//    });
//
//    $('.srchparty').on('keyup', function (e) {
//        var value = $(".srchparty").val().toLowerCase();
//        $(".PTbody tr").filter(function () {
//            var tr = $(this).closest("tr");
//            if (tr.find(".disblsrchparty").val().toLowerCase().substr(0, value.length) == value.substr(0, value.length)) {
////                alert(value.length);
//                tr.show();
//            } else {
////                $(this).toggle();
//                tr.hide();
//            }
////            alert(1);
////            $(this).toggle(tr.find(".disblsrchparty").val().toLowerCase().indexOf(value, 0) > -1);
////            $(".PTbody tr").index();
//        });
//    });
//
//    $('.PartySrchTbl input').on('keydown', function (e) {
//        var keyCode = e.keyCode || e.which;
//        if (keyCode == 40) {
////            $(this).closest("tr").next("tr").find('.disblsrchparty').focus();
////            $(this).closest("tr").nextUntil("tr:visible").find('.disblsrchparty').focus();
//            $(this).closest("tr").nextAll().filter(":visible:first").find('.disblsrchparty').focus();
//            e.preventDefault();
//            return false;
//        }
//
//        if (keyCode == 38) {
////            $(this).closest("tr").prev("tr").find('.disblsrchparty').focus();
//            $(this).closest("tr").prevAll().filter(":visible:first").find('.disblsrchparty').focus();
//            e.preventDefault();
//            return false;
//        }
//
//        if (keyCode == 13) {
//            var tr = $(this).closest("tr"),
//                    partyname = tr.find(".disblsrchparty").val();
//            $("#getpartydata").modal('hide');
//            $(".partyname").val(partyname);
//            e.preventDefault();
//            return false;
//        }
//
//        if (keyCode != 13 || keyCode != 18 || keyCode != 38) {
//            e.preventDefault();
//            return false;
//        }
//    });
//
//
//    $(".disblsrchparty").click(function () {
//        var tr = $(this).closest("tr"),
//                partyname = tr.find(".disblsrchparty").val();
////        $(".PartySrchTbl").hide();
//        $("#getpartydata").modal('hide');
//
//        $(".partyname").val(partyname);
////            e.preventDefault();
////            return false;
//    });

    $('.ndata input').on('keydown', function (e) {
        var keyCode = e.keyCode || e.which;
        if (keyCode == 13) {
            $(this).parent("td").next("td").children().focus();
            e.preventDefault();
            return false;
        }

        if (keyCode == 39) {
            $(this).parent("td").next("td").children().focus();
            e.preventDefault();
            return false;
//            $(this).parent("td").next("td").children().select2('open');
        }

        if (keyCode == 37) {
            $(this).parent("td").prev("td").children().focus();
            e.preventDefault();
            return false;
        }
    });

    $('#sizemmod input').on('keydown', function (e) {
        var keyCode = e.keyCode || e.which;
        if (keyCode == 13) {
            $(this).parent("td").next("td").children().focus();
            e.preventDefault();
            return false;
        }

        if (keyCode == 39) {
            $(this).parent("td").next("td").children().focus();
//            $(this).parent("td").next("td").children().select2('open');
        }

        if (keyCode == 37) {
            $(this).parent("td").prev("td").children().focus();
        }
    });

    $('#guagemmod input').on('keydown', function (e) {
        var keyCode = e.keyCode || e.which;
        if (keyCode == 13) {
            $(this).parent("td").next("td").children().focus();
            e.preventDefault();
            return false;
        }

        if (keyCode == 39) {
            $(this).parent("td").next("td").children().focus();
//            $(this).parent("td").next("td").children().select2('open');
        }

        if (keyCode == 37) {
            $(this).parent("td").prev("td").children().focus();
        }
    });

    $('#makemmod input').on('keydown', function (e) {
        var keyCode = e.keyCode || e.which;
        if (keyCode == 13) {
            $(this).parent("td").next("td").children().focus();
            e.preventDefault();
            return false;
        }

        if (keyCode == 39) {
            $(this).parent("td").next("td").children().focus();
//            $(this).parent("td").next("td").children().select2('open');
        }

        if (keyCode == 37) {
            $(this).parent("td").prev("td").children().focus();
        }
    });

});
